auth-tokens resource endpoint
URL: /auth-tokens/<id>.<format>
Supported Methods
| GET | Get basic information about the selected auth token, including what object it grants access to. |
Resource Type
This endpoint returns an object of type AuthToken.
- authToken (string)
- The actual auth token string. Use this as the access token when making an OAuth request.
- targetObject (Base)
- (Deprecated) The root object to which this auth token grants access. This is a legacy field maintained for backwards compatibility with older clients, as auth tokens are no longer scoped to specific objects.
Client Library Methods for PHP
- Get basic information about the selected auth token, including what object it grants access to.
$tp->authTokens->get(array( # Required Parameters "id" => $id, ))
Example Request
GET /auth-tokens/3d20424ed60e58e1:klbRHNymABg73SpM.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 363
{
"targetObject": {
"urlId": "6p012877b14c77970c",
"objectType": "Group",
"objectTypes": [
"tag:api.typepad.com,2009:Group"
],
"id": "tag:api.typepad.com,2009:6p012877b14c77970c",
"siteUrl": "http://devin.example.com/",
"displayName": "Devin's Awesome Site"
},
"authToken": "klbRHNymABg73SpM"
}